﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Printing;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace RadScheduleViewSL__1067518
{
    public partial class MainPage : UserControl
    {
        private PrintDocument doc; 
        public MainPage()
        {
            InitializeComponent();

            this.scheduler.AppointmentsSource = new ObservableCollection<Appointment>() { new Appointment() { Start = DateTime.Today.AddHours(21), End = DateTime.Today.AddHours(23) } };
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            doc = new PrintDocument();

            doc.PrintPage += new EventHandler<PrintPageEventArgs>(doc_PrintPage);
            doc.Print("Scheduler Page");
        }

        private void doc_PrintPage(object sender, PrintPageEventArgs e)
        {
            e.PageVisual = canvas;
            var printableArea = e.PrintableArea;

            double printWidth = printableArea.Width;
            double printHeight = printableArea.Height;
            var size = canvas.RenderSize;
            canvas.Height = printHeight + 50;
            canvas.Width = printWidth;
            this.scheduler.MinTimeRulerExtent = canvas.RenderSize.Height;
            this.scheduler.MaxTimeRulerExtent = canvas.RenderSize.Height;
            canvas.Measure(new Size(canvas.RenderSize.Width, printHeight));
            this.scheduler.Measure(canvas.RenderSize);

            this.scheduler.ClearValue(RadScheduleView.MaxTimeRulerExtentProperty);
            this.scheduler.ClearValue(RadScheduleView.MinTimeRulerExtentProperty);
            canvas.Measure(size);
            this.scheduler.Measure(canvas.RenderSize);

            e.HasMorePages = false;
        }
    }
}
